# IceGrid::PermissionDeniedException

## Overview

### exception PermissionDeniedException

This exception is raised if a client is denied the ability to create a session with IceGrid.

#### Used By

Registry::createAdminSession
Registry::createAdminSessionFromSecureConnection
Registry::createSession
Registry::createSessionFromSecureConnection

#### See Also

`SessionFactory::createSession`

## Data Members

string reason;

  The reason why permission was denied.